← Tables

Scotland

West Region League Division 3

#TeamPWDLPDBPPtsForm
1Clydebank RFC6411+189523WWWDL
2Paisley RFC4400+202420WWWW
3Moffat RFC4211+69212WWDL
4Waysiders/Drumpellier RFC4202+32311LLWW
5Glasgow University Medics2200+4327WW
6Hyndland RFC3102-1315WLL
7Clydesdale RFC5104-30710LLLLW
8Isle of Mull RFC4004-18010LLLL
9Isle of Arran RFC2002-3500LL

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.